#!/bin/bash

echo "scan for sources to indent."
chmod 755 ./indent.sh

SKIP="ash_netbsd_launcher/sh|ash_launcher/sh"

for file in `find . -name "*.c" -printf "%h/%f "`
do
    echo "Indenting file: $file"
    ./indent.sh $file
done

echo "scan for headers to indent."
for file in `find . -name "*.h" -printf "%h/%f "`
do
    echo "Indenting file: $file"
    ./indent.sh $file
done

echo "Clean up."
for file in `find . -name "*~" -printf "%h/%f "`
do
    echo "Removing file: $file"
    rm ${file}
done

